Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PhysxJointLimitSoftDesc Class Reference

Describes a joint limit. More...

`#include "physxJointLimitSoftDesc.h"`

## Public Member Functions
| PhysxJointLimitSoftDesc (float value, float restitution, float spring, float damping)
float | get_damping () const
float | get_restitution () const
float | get_spring () const
float | get_value () const
void | set_damping (float damping)
void | set_restitution (float restitution)
void | set_spring (float spring)
void | set_value (float value)

## Public Attributes
NxJointLimitSoftDesc | _desc

## Detailed Description

Describes a joint limit.

Definition at line 24 of file physxJointLimitSoftDesc.h.

## Constructor & Destructor Documentation

## ◆ PhysxJointLimitSoftDesc() [1/2]

PhysxJointLimitSoftDesc::PhysxJointLimitSoftDesc | ( |  | ) |
| inline

Definition at line 17 of file physxJointLimitSoftDesc.I.

## ◆ PhysxJointLimitSoftDesc() [2/2]

PhysxJointLimitSoftDesc::PhysxJointLimitSoftDesc | ( | float | value,
|  | float | restitution,
|  | float | spring,
|  | float | damping )
| inline

Definition at line 25 of file physxJointLimitSoftDesc.I.

## ◆ ~PhysxJointLimitSoftDesc()

PhysxJointLimitSoftDesc::~PhysxJointLimitSoftDesc | ( |  | ) |
| inline

Definition at line 37 of file physxJointLimitSoftDesc.I.

## Member Function Documentation

## ◆ get_damping()

float PhysxJointLimitSoftDesc::get_damping | ( |  | ) | const

Definition at line 82 of file physxJointLimitSoftDesc.cxx.

## ◆ get_restitution()

float PhysxJointLimitSoftDesc::get_restitution | ( |  | ) | const

Definition at line 64 of file physxJointLimitSoftDesc.cxx.

## ◆ get_spring()

float PhysxJointLimitSoftDesc::get_spring | ( |  | ) | const

Definition at line 73 of file physxJointLimitSoftDesc.cxx.

## ◆ get_value()

float PhysxJointLimitSoftDesc::get_value | ( |  | ) | const

Definition at line 55 of file physxJointLimitSoftDesc.cxx.

## ◆ set_damping()

void PhysxJointLimitSoftDesc::set_damping | ( | float | damping | ) |

Definition at line 46 of file physxJointLimitSoftDesc.cxx.

## ◆ set_restitution()

void PhysxJointLimitSoftDesc::set_restitution | ( | float | restitution | ) |

Definition at line 28 of file physxJointLimitSoftDesc.cxx.

## ◆ set_spring()

void PhysxJointLimitSoftDesc::set_spring | ( | float | spring | ) |

Definition at line 37 of file physxJointLimitSoftDesc.cxx.

## ◆ set_value()

void PhysxJointLimitSoftDesc::set_value | ( | float | value | ) |

Definition at line 19 of file physxJointLimitSoftDesc.cxx.

## Member Data Documentation

## ◆ _desc

NxJointLimitSoftDesc PhysxJointLimitSoftDesc::_desc

Definition at line 42 of file physxJointLimitSoftDesc.h.

The documentation for this class was generated from the following files:

- panda/src/physx/physxJointLimitSoftDesc.h
- panda/src/physx/physxJointLimitSoftDesc.cxx
- panda/src/physx/physxJointLimitSoftDesc.I